Skip Menu |
 

This queue is for tickets about the CPANPLUS-Dist-Deb CPAN distribution.

Report information
The Basics
Id: 70906
Status: new
Priority: 0/
Queue: CPANPLUS-Dist-Deb

People
Owner: Nobody in particular
Requestors: florent.angly [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.12
Fixed in: (no value)



Subject: Unable to create deb packages
Download (untitled) / with headers
text/plain 603b
Hi, I was excited to give CPANPLUS::Dist::Deb a try but I encountered some issues: $ cpan2dist --format CPANPLUS::Dist::Deb Module::Install::AuthorRequires Unfortunately, this command failed with these error messages (full log attached): [ERROR] Failed to create debian package for 'Module::Install::AuthorRequires': 'dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2 [ERROR] Unable to create a new distribution object for 'Module::Install::AuthorRequires' -- cannot continue Not sure if this failed because some CPANPLUS::Dist::Deb test failed (ticket #70905). Florent
Subject: cpan2dist_log.txt
Download cpan2dist_log.txt
text/plain 4.2k
$ cpan2dist --format CPANPLUS::Dist::Deb Module::Install::AuthorRequires ==> MISSING Signature file! <== Running [/usr/bin/perl /usr/bin/cpanp-run-perl /home/floflooo/.cpanplus/5.12.4/build/Module-Install-AuthorRequires-0.02/Makefile.PL INSTALLDIRS=site INSTALLDIRS=site INSTALLSCRIPT=/usr/local/bin]... Cannot determine perl version info from lib/Module/Install/AuthorRequires.pm Cannot determine license info from lib/Module/Install/AuthorRequires.pm Checking if your kit is complete... Looks good Writing Makefile for Module::Install::AuthorRequires [MSG] Module 'Module::Install::AuthorRequires' depends on 'ExtUtils::MakeMaker', may need to build a 'CPANPLUS::Dist::Deb' package for it as well [MSG] Module 'Module::Install::AuthorRequires' depends on 'Module::Install', may need to build a 'CPANPLUS::Dist::Deb' package for it as well Running [/usr/bin/make test]... PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/load.t .. ok All tests successful. Files=1, Tests=1, 0 wallclock secs ( 0.02 usr 0.01 sys + 0.02 cusr 0.00 csys = 0.05 CPU) Result: PASS [ERROR] Failed to create debian package for 'Module::Install::AuthorRequires': 'dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2 dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor): dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2 dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2 dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): dpkg-buildpackage: source package cpan-libmodule-install-authorrequires-perl dpkg-buildpackage: source version 0.02-1 dpkg-buildpackage: source changed by CPANPLUS::Dist::Deb <cpanplus@example.com> dpkg-buildpackage: host architecture amd64 dpkg-source -i.s?[oa] --before-build Module-Install-AuthorRequires-0.02 fakeroot debian/rules clean dh_testdir dh_testroot dh_clean -d dh_clean: Compatibility levels before 5 are deprecated. rm -f build-stamp install-stamp dpkg-source -i.s?[oa] -b Module-Install-AuthorRequires-0.02 dpkg-source: warning: no source format specified in debian/source/format, see dpkg-source(1) dpkg-source: warning: source directory 'Module-Install-AuthorRequires-0.02' is not <sourcepackage>-<upstreamversion> 'cpan-libmodule-install-authorrequires-perl-0.02' dpkg-source: warning: .orig directory name Module-Install-AuthorRequires-0.02.orig is not <package>-<upstreamversion> (wanted cpan-libmodule-install-authorrequires-perl-0.02.orig) dpkg-source: info: using source format `1.0' dpkg-source: info: building cpan-libmodule-install-authorrequires-perl using existing cpan-libmodule-install-authorrequires-perl_0.02.orig.tar.gz dpkg-source: info: building cpan-libmodule-install-authorrequires-perl in cpan-libmodule-install-authorrequires-perl_0.02-1.diff.gz dpkg-source: warning: newly created empty file 'blib/bin/.exists' will not be represented in diff dpkg-source: warning: newly created empty file 'blib/script/.exists' will not be represented in diff dpkg-source: warning: diff `/home/floflooo_mint/.cpanplus/5.12.4/build/cpan-libmodule-install-authorrequires-perl_0.02-1.diff.gz.new.5cu7FJ' doesn't contain any patch dpkg-source: info: building cpan-libmodule-install-authorrequires-perl in cpan-libmodule-install-authorrequires-perl_0.02-1.dsc debian/rules build dh_testdir touch build-stamp fakeroot debian/rules binary dh_testdir dh_testroot dh_clean -d -k dh_clean: dh_clean -k is deprecated; use dh_prep instead dh_clean: Compatibility levels before 5 are deprecated. /usr/bin/make install DESTDIR=/home/floflooo_mint/.cpanplus/5.12.4/build/Module-Install-AuthorRequires-0.02/debian/tmp PREFIX=/usr make[1]: Entering directory `/home/floflooo_mint/.cpanplus/5.12.4/build/Module-Install-AuthorRequires-0.02' make[1]: Leaving directory `/home/floflooo_mint/.cpanplus/5.12.4/build/Module-Install-AuthorRequires-0.02' make[1]: *** No rule to make target `pure_site', needed by `pure_install'. Stop. make: *** [install-stamp] Error 2 dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2 ' [ERROR] Unable to create a new distribution object for 'Module::Install::AuthorRequires' -- cannot continue Unable to create 'CPANPLUS::Dist::Deb' dist of 'Module::Install::AuthorRequires' at /usr/bin/cpan2dist line 379.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.